org.encog.ca.program.conway

## Class ConwayProgram

- java.lang.Object
- - org.encog.ca.program.basic.BasicProgram
  - - org.encog.ca.program.conway.ConwayProgram

- All Implemented Interfaces:
    Serializable, CAProgram

      public class ConwayProgram
      extends BasicProgram

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConwayProgram(Universe theSourceUniverse)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Universe` | `getSourceUniverse()`
    `Universe` | `getTargetUniverse()`
    `void` | `iteration()`
    `void` | `processCell(int row, int col)`
    `void` | `randomize()`
    `void` | `setSourceUniverse(Universe sourceUniverse)`
    `void` | `setTargetUniverse(Universe targetUniverse)`

    - ### Methods inherited from class org.encog.ca.program.basic.BasicProgram

      `getMovements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConwayProgram

          public ConwayProgram(Universe theSourceUniverse)

  - ### Method Detail

    - #### iteration

          public void iteration()

    - #### processCell

          public void processCell(int row,
                         int col)

    - #### randomize

          public void randomize()

    - #### getSourceUniverse

          public Universe getSourceUniverse()

      Returns:
        the sourceUniverse

    - #### setSourceUniverse

          public void setSourceUniverse(Universe sourceUniverse)

      Parameters:
        `sourceUniverse` - the sourceUniverse to set

    - #### getTargetUniverse

          public Universe getTargetUniverse()

      Returns:
        the targetUniverse

    - #### setTargetUniverse

          public void setTargetUniverse(Universe targetUniverse)

      Parameters:
        `targetUniverse` - the targetUniverse to set

Copyright © 2014. All Rights Reserved.